Subject: Re: [PATCH] Add support for binary includes.

From: Jon Loeliger <[email-masked]>
Date: Tue, 27 May 2008 12:59:32 -0500

Kumar Gala wrote:
> 
> On Feb 25, 2008, at 6:39 PM, David Gibson wrote:
> 
>> On Wed, Feb 20, 2008 at 01:19:41PM -0600, Scott Wood wrote:
>>> A property's data can be populated with a file's contents
>>> as follows:
>>>
>>> node {
>>>     prop = /incbin/("path/to/data");
>>> };
>>>
>>> A subset of a file can be included by passing start and size parameters.
>>> For example, to include bytes 8 through 23:
>>>
>>> node {
>>>     prop = /incbin/("path/to/data", 8, 16);
>>> };
>>>
>>> As with /include/, non-absolute paths are looked for in the directory
>>> of the source file that includes them.

That issue was resolved, I believe.

>> Well, while I discuss the syntax with Jon, here's some comments on the
>> implementation.
> 
> have we made any progress on the syntax?

My last suggestions garnered a "I like that even less." response,
so as far as I know, we're still waiting for a good proposal here.

jdl